{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":580,"path":"api-reference/rest-apis/wsd_reservable_module-api.md","title":"WSD Reservable Module API","bundle":null,"doc_type":null,"release":"australia","body":"\n# WSD Reservable Module API\n\nThe Workplace Service Delivery \\(WSD\\) Reservable Module API provides endpoints to retrieve details of a reservable module from a ServiceNow instance.\n\nA reservable module groups similar types of workplace items. Employees can view these similar items in a single category. For example, a room is a reservable module and it contains similar workplace items such as meeting rooms, conference rooms, and other rooms.\n\nTo access this API, the caller must have the sn\\_wsd\\_core.workplace\\_user role and the Workplace Reservation Management \\(sn\\_wsd\\_rsv\\) plugin must be activated. This API runs in the `sn_wsd_rsv` namespace.\n\nFor additional information on Workplace Reservation Management, see [Workplace Reservation Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/workplace-rsv-mgmt-feat.md).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## WSD Reservable Module - GET /sn\\_wsd\\_rsv/reservable\\_module/\\{sys\\_id\\}\n\nReturns the details for a specified reservable module.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/reservable_module/{sys_id}`\n\nDefault URL: `/api/sn_wsd_rsv/reservable_module/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the reversable module record to retrieve.Data type: String\n\nTable: Reservable Module \\[sn\\_wsd\\_rsv\\_reservable\\_module\\]\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nis\\_buildings\\_tree\\_data\\_required\n\n</td><td>\n\nFlag that indicates whether to return the building data associated with the reservable model.Valid values:\n\n-   true: Return the building data.\n-   false: Don't return the building data.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nneighborhood\n\n</td><td>\n\nOnly available if the Space Management \\(sn\\_wsd\\_spc\\_mgmt\\_neighborhood\\) plugin is activated.\n\nSys\\_id of the neighborhood record to use in the encoded query.\n\nFor additional information on neighborhood space reservations, see [Create neighborhood reservations](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/create-neighborhood-reservations.md).\n\n The endpoint checks if the neighborhood is valid and then retrieves the data required for the browse-by-neighborhood path.\n\n Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_l3d_swn_1yb\" class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"id_w24_zwn_1yb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresults\n\n</td><td>\n\nDetails for the requested reservable module.Data type: Object\n\n```\n{\n  \"result\": {\n    \"allow_invitees\": Boolean,\n    \"allow_whole_day\": Boolean,\n    \"apply_to_shift\": Boolean,\n    \"browse_by_area_enabled\": Boolean,\n    \"browse_by_neighborhood_enabled\": Boolean,\n    \"browse_near_a_person_enabled\": Boolean,\n    \"buildingsTreeData\": [Array],\n    \"buildingSysIds\": [Array],\n    \"checkin_before_minutes\": Number,\n    \"display_number_of_attendees\": Boolean,\n    \"display_on_behalf_of\": Boolean,\n    \"display_sensitivity\": Boolean,\n    \"display_value\": \"String\",\n    \"enable_browse_by_area\": Boolean,\n    \"enable_browse_by_neighborhood\": Boolean,\n    \"enable_browse_near_a_person\": Boolean,\n    \"enable_facet_filter\": Boolean,\n    \"enable_group_reservations\": Boolean,\n    \"enable_ical_generation\": Boolean,\n    \"font_awesome_icon\": \"String\",\n    \"inline_title\": \"String\",      \n    \"layout_mapping\": {JSON Object},\n    \"max_days_in_future\": Number,\n    \"max_occurrences\": Number,\n    \"name\": \"String\",\n    \"nbhBuildingIds\": [Array],\n    \"nbhBuildingsData\": [Array];\n    \"nbhBuildingsTreeData\": [Array],\n    \"override_approval_policy\": \"String\",\n    \"require_cancel_notes\": Boolean,\n    \"require_cc_dept_check\": Boolean,\n    \"require_subject\": Boolean,\n    \"reservable_columns\": [Array],\n    \"reservable_container_field\": \"String\",\n    \"reservable_filter\": \"String\",\n    \"reservable_quantity_field\": \"String\",\n    \"reservable_table\": \"String\",\n    \"reservable_type\": \"String\",\n    \"reservable_views\": [Array],\n    \"reservation_paths\": [Array],\n    \"search_limit\": Number,\n    \"selection_type\": \"String\",\n    \"short_description\": \"String\",\n    \"show_map_view\": Boolean,\n    \"sys_id\": \"String\",\n    \"timeSlots\": [Array],\n    \"title\": \"String\",\n    \"virtual_meeting_provider\": {Object}\n  }\n}\n```\n\n</td></tr><tr id=\"allow_invitees-reserv_mod-row\"><td>\n\nresult.allow\\_invitees\n\n</td><td id=\"allow_invitees-reserv_mod-entry\">\n\nFlag that indicates whether employees are able to add invitees to the reservation. Valid values:\n\n-   true: Allow employees to add invitees to the reservation.\n-   false: Don't allow employees to add invitees to the reservation.\n\nData type: Boolean\n\n</td></tr><tr id=\"allow_whole_day-reserv_mod-row\"><td>\n\nresult.allow\\_whole\\_day\n\n</td><td id=\"allow_whole_day-reserv_mod-entry\">\n\nFlag that indicates whether users can reserve the reservable for the entire day. Valid values:\n\n-   true: Allow users to reserve for the entire day.\n-   false: Don't allow users to reserve for the entire day.\n\nData type: Boolean\n\n</td></tr><tr id=\"apply_to_shift-reserv_mod-row\"><td>\n\nresult.apply\\_to\\_shift\n\n</td><td id=\"apply_to_shift-reserv_mod-entry\">\n\nFlag that indicates whether shift-based reservations are enabled for the reservable module. Valid values:\n\n-   true: Allow shift-based reservations.\n-   false: Don't allow shift-based reservations.\n\nData type: Boolean\n\n</td></tr><tr id=\"browse_by_area_enabled-reserv_mod-row\"><td>\n\nresult.browse\\_by\\_area\\_enabled\n\n</td><td id=\"browse_by_area_enabled-reserv_mod-entry\">\n\nFlag that indicates whether users are able to search for reservable modules by area.Valid values:\n\n-   true: Allow users to browse reservable modules by area.\n-   false: Don't allow users to browse reservable modules by area.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.browse\\_by\\_neighborhood\\_enabled\n\n</td><td>\n\nOnly available if the Space Management - sn\\_wsd\\_spc\\_mgmt plugin is installed.Flag that indicates whether users are able to search in the reservable modules by neighborhood.\n\nValid values:\n\n-   true: Allow users to browse reservable modules by neighborhood.\n-   false: Don't allow users to browse reservable modules by neighborhood.\n\nData type: Boolean\n\n</td></tr><tr id=\"browse_near_a_person_enabled-reserv_mod-row\"><td>\n\nresult.browse\\_near\\_a\\_person\\_enabled\n\n</td><td id=\"browse_near_a_person_enabled-reserv_mod-entry\">\n\nFlag that indicates whether users are able to search for reservable modules located by a specified person.Valid values:\n\n-   true: Allow users to browse reservable modules near a person.\n-   false: Don't allow users to browse reservable modules near a person.\n\nData type: Boolean\n\n</td></tr><tr id=\"buildingTreeData-reserv_mod-row\"><td>\n\nresult.buildingTreeData\n\n</td><td>\n\nOnly returned if the **is\\_buildings\\_tree\\_data\\_required** query parameter is set to `true`. Hierarchy of the buildings associate with the reservable module.Hierarchy order:\n\n-   Region: Located in the Region \\[sn\\_wsd\\_core\\_region\\] table.\n-   Site: Located in the Site \\[sn\\_wsd\\_core\\_site\\] table.\n-   Campus: Located in the Campus \\[sn\\_wsd\\_core\\_campus\\] table.\n-   Building: Located in the Building \\[sn\\_wsd\\_core\\_building\\] table.\n\nEach `children[ ]` node reflects a different building level/hiearchy:\n\n-   buildingsTreeData: Region\n-   buildingsTreeData.children: Site\n-   buildingsTreeData.children.children: Campus\n-   buildingsTreeData.children.children.children: Building\n\nData type: Array of Objects\n\n```\n\"buildingsTreeData\": [\n  {\n    \"children\": [Array],\n    \"data\": {Object},\n    \"isSelectable\": Boolean,\n    \"isValid\": Boolean,\n    \"label\": \"String\",\n    \"uId\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.buildingsTreeData.children\n\n</td><td>\n\nDetails on the site, campus, or building associated with the reservable module. Each of the parameters in all `children[ ]` nodes are the same. They just apply to different building entities and are only described one time in this section.Data type: Array of Objects\n\n```\n\"children\": [\n  {\n    \"children\": [Array],\n    \"data\": {Object},\n    \"isSelectable\": Boolean,\n    \"isValid\": Boolean,\n    \"label\": \"String\",\n    \"uId\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.buildingsTreeData.children.data\n\n</td><td>\n\nDetails about the building entity.Data type: Object\n\n```\n\"data\": {\n  \"sysId\": \"String\",\n  \"table\": \"String\",\n  \"timezone\": {Object}\n}\n```\n\n</td></tr><tr><td>\n\nresult.buildingsTreeData.children.data.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated building entity.Data type: String\n\n</td></tr><tr><td>\n\nresult.buildingsTreeData.children.data.table\n\n</td><td>\n\nName of the table in which the building entity record identified in the sys\\_id is located.Data type: String\n\n</td></tr><tr><td>\n\nresult.buildingsTreeData.children.data.​timezone\n\n</td><td>\n\nDetails about the time zone of the building entity.```\n\"timezone\": {\n  \"displayValue\": \"String\",\n  \"value\":  \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.buildingsTreeData.children.data.​timezone.displayValue\n\n</td><td>\n\nDisplay value in the record for the time zone.Data type: String\n\n</td></tr><tr><td>\n\nresult.buildingsTreeData.children.data.​timezone.value\n\n</td><td>\n\nInternal value in the record for the time zone.Data type: String\n\n</td></tr><tr><td>\n\nresult.buildingsTreeData.children.isSelectable\n\n</td><td>\n\nFlag that indicates whether the associated building entity is available \\(selectable\\) for the reservable model.Valid values:\n\n-   true: Building entity is available for the reservable module.\n-   false: Building entity isn't available for the reservable module.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.buildingsTreeData.children.isValid\n\n</td><td>\n\nFlag that indicates whether the associated building entity is valid for the reservable model.Valid values:\n\n-   true: Building entity is valid for the reservable module.\n-   false: Building entity isn't valid for the reservable module.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.buildingsTreeData.children.label\n\n</td><td>\n\nName of the building entity.Data type: String\n\n</td></tr><tr><td>\n\nresult.buildingsTreeData.children.uId\n\n</td><td>\n\nSys\\_id of the associated building entity record.Data type: String\n\n</td></tr><tr id=\"buildingSysIds-reserv_mod-row\"><td>\n\nresult.buildingSysIds\n\n</td><td id=\"buildingSysIds-reserv_mod-entry\">\n\nList of sys\\_ids of the buildings associated with the reservable module.Data type: Array of Strings\n\n</td></tr><tr id=\"checkin_before_minutes-reserv_mod-row\"><td>\n\nresult.checkin\\_before\\_minutes\n\n</td><td id=\"checkin_before_minutes-reserv_mod-entry\">\n\nAmount of time before a reservation starts that a user can check into their reservation.Unit: Minutes\n\nData type: Number\n\n</td></tr><tr id=\"display_number_of_attendees-reserv_mod-row\"><td>\n\nresult.display\\_number\\_of\\_attendees\n\n</td><td id=\"display_number_of_attendees-reserv_mod-entry\">\n\nFlag that indicates whether users can specify the number of attendees in the reservation. Valid values:\n\n-   true: Users can specify the number of attendees.\n-   false: Users can't specify the display number of attendees.\n\nData type: Boolean\n\n</td></tr><tr id=\"display_on_behalf_of-reserv_mod-row\"><td>\n\nresult.display\\_on\\_behalf\\_of\n\n</td><td id=\"display_on_behalf_of-reserv_mod-entry\">\n\nFlag that indicates whether reservations can be made on behalf of someone else. Valid values:\n\n-   true: On behalf of supported.\n-   false: On behalf of not supported.\n\nData type: Boolean\n\n</td></tr><tr id=\"display_sensitivity-reserv_mod-row\"><td>\n\nresult.display\\_sensitivity\n\n</td><td id=\"display_sensitivity-reserv_mod-entry\">\n\nFlag that indicates whether users can set the sensitivity of the reservation, such as normal or private.Valid values:\n\n-   true: Able to set sensitivity.\n-   false: Not able to set sensitivity. Defaults to normal.\n\nData type: Boolean\n\n</td></tr><tr id=\"display_value-reserv_mod-row\"><td>\n\nresult.display\\_value\n\n</td><td id=\"display_value-reserv_mod-entry\">\n\nDisplay value of the reservable module.Data type: String\n\n</td></tr><tr id=\"enable_browse_by_area-reserv_mod-row\"><td>\n\nresult.enable\\_browse\\_by\\_area\n\n</td><td id=\"enable_browse_by_area-reserv_mod-entry\">\n\nFlag that indicates whether users are able to search for reservable modules by area. Same as **browse\\_by\\_area\\_enabled**.Valid values:\n\n-   true: Allow users to browse reservable modules by area.\n-   false: Don't allow users to browse reservable modules by area.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.enable\\_browse\\_by\\_neighborhood\n\n</td><td>\n\nFlag that indicates whether users are able to search for reservable modules by neighborhood.Valid values:\n\n-   true: Allow users to browse reservable modules by neighborhood.\n-   false: Don't allow users to browse reservable modules by neighborhood.\n\nData type: Boolean\n\n</td></tr><tr id=\"enable_browse_by_person-reserv_mod-row\"><td>\n\nresult.enable\\_browse\\_near\\_a\\_person\n\n</td><td id=\"enable_browse_near_a_person-reserv_mod-entry\">\n\nFlag that indicates whether users are able to search for reservable modules located by a specified person. Same as**browse\\_near\\_a\\_person\\_enabled**.Valid values:\n\n-   true: Allow users to browse reservable modules near a person.\n-   false: Don't allow users to browse reservable modules near a person.\n\nData type: Boolean\n\n</td></tr><tr id=\"enable_facet_filter-reserv_mod-row\"><td>\n\nresult.enable\\_facet\\_filter\n\n</td><td id=\"enable_facet_filter-reserv_mod-entry\">\n\nFlag that indicates whether facet filtering on workplace items is enabled. When enabled, the filter options that appear are based on the search results. Only the items that are available in the generated search result are available to users for selection in the filter.Valid values:\n\n-   true: Facet filters are enabled.\n-   false: Facet filters aren't enabled.\n\nData type: Boolean\n\n</td></tr><tr id=\"enable_group_reservations-reserv_mod-row\"><td>\n\nresult.enable\\_group\\_reservations\n\n</td><td id=\"enable_group_reservations-reserv_mod-entry\">\n\nFlag that indicates whether users can make a group reservation.Valid values:\n\n-   true: Able to make group reservations.\n-   false: Not able to make group reservations.\n\nData type: Boolean\n\n</td></tr><tr id=\"enable_ical_generation-reserv_mod-row\"><td>\n\nresult.enable\\_ical\\_generation\n\n</td><td id=\"enable_ical_generation-reserv_mod-entry\">\n\nFlag that indicates whether users can generate an iCalendar for the reservation.Valid values:\n\n-   true: iCalendar generation allowed.\n-   false: iCalendar generation isn't allowed.\n\nData type: Boolean\n\n</td></tr><tr id=\"font_awesome_icon-reserv_mod-row\"><td>\n\nresult.font\\_awesome\\_icon\n\n</td><td id=\"font_awesome_icon-reserv_mod-entry\">\n\nName of the font icon attached to the reservable module.Data type: String\n\n</td></tr><tr id=\"inline_title-reserv_mod-row\"><td>\n\nresult.inline\\_title\n\n</td><td id=\"inline_title-reserv_mod-entry\">\n\nInline title of the reservable module. The title appears in line with the descriptive text on the Workplace service portal.Data type: String\n\n</td></tr><tr id=\"layout_mapping-reserv_mod-row\"><td>\n\nresult.layout\\_mapping\n\n</td><td id=\"layout_mapping-reserv_mod-entry\">\n\nDetails about the structure of the layout mapping of locations. Use this data to lay out the information in the UI. Data type: Object\n\n```\n\"layout_mapping\": {\n  \"body\": [Array],\n  \"description\": [Array],\n  \"image\": \"String\",\n  \"subtitle\": [Array],\n  \"subtitle_asc\": [Array],\n  \"title\": [Array]\n}\n```\n\n</td></tr><tr id=\"layout_mapping_body-reserv_mod-row\"><td>\n\nresult.layout\\_mapping.body\n\n</td><td id=\"layout_mapping_body-reserv_mod-entry\">\n\nPlaceholder for mapping the front-end UI data.Data type: Array of Objects\n\n```\n\"body\": [\n  {\n    \"field\": \"String\",\n    \"field_to_display\": \"String\",\n    \"icon\": \"String\",\n    \"label\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"layout_mapping_body_field-reserv_mod-row\"><td>\n\nresult.layout\\_mapping.body.field\n\n</td><td id=\"layout_mapping_body_field-reserv_mod-entry\">\n\nPlaceholder for mapping the front-end UI data.Data type: String\n\n</td></tr><tr id=\"layout_mapping_body_field_to_display-reserv_mod-row\"><td>\n\nresult.layout\\_mapping.body.field\\_to\\_display\n\n</td><td id=\"layout_mapping_body_field_to_display-reserv_mod-entry\">\n\nPlaceholder for mapping the front-end UI data.Data type: String\n\n</td></tr><tr id=\"layout_mapping_body_icon-reserv_mod-row\"><td>\n\nresult.layout\\_mapping.body.icon\n\n</td><td id=\"layout_mapping_body_icon-reserv_mod-entry\">\n\nPlaceholder for mapping the front-end UI data.Data type: String\n\n</td></tr><tr id=\"layout_mapping_body_label-reserv_mod-row\"><td>\n\nresult.layout\\_mapping.body.label\n\n</td><td id=\"layout_mapping_body_label-reserv_mod-entry\">\n\nPlaceholder for mapping the front-end UI data.Data type: String\n\n</td></tr><tr id=\"layout_mapping_description-reserv_mod-row\"><td>\n\nresult.layout\\_mapping.description\n\n</td><td id=\"layout_mapping_description-reserv_mod-entry\">\n\nPlaceholder for mapping the front-end UI data. Description of the layout mapping.Data type: Array\n\n</td></tr><tr id=\"layout_mapping_image-reserv_mod-row\"><td>\n\nresult.layout\\_mapping.image\n\n</td><td id=\"layout_mapping_image-reserv_mod-entry\">\n\nPlaceholder for mapping the front-end UI data.Data type: String\n\n</td></tr><tr id=\"layout_mapping_subtitle-reserv_mod-row\"><td>\n\nresult.layout\\_mapping.subtitle\n\n</td><td id=\"layout_mapping_subtitle-reserv_mod-entry\">\n\nPlaceholder for mapping the front-end UI data.Data type: Array\n\n</td></tr><tr id=\"layout_mapping_subtitle_asc-reserv_mod-row\"><td>\n\nresult.layout\\_mapping.subtitle\\_asc\n\n</td><td id=\"layout_mapping_subtitle_asc-reserv_mod-entry\">\n\nPlaceholder for mapping the front-end UI data.Data type: Array\n\n</td></tr><tr id=\"layout_mapping_title-reserv_mod-row\"><td>\n\nresult.layout\\_mapping.title\n\n</td><td id=\"layout_mapping_title-reserv_mod-entry\">\n\nPlaceholder for mapping the front-end UI data.Data type: Array\n\n</td></tr><tr id=\"max_days_in_future-reserv_mod-row\"><td>\n\nresult.max\\_days\\_in\\_future\n\n</td><td id=\"max_days_in_future-reserv_mod-entry\">\n\nMaximum number of the days in the future that a user can reserve the reservable module.Data type: Number\n\n</td></tr><tr id=\"max_occurrences-reserv_mod-row\"><td>\n\nresult.max\\_occurrences\n\n</td><td id=\"max_occurrences-reserv_mod-entry\">\n\nMaximum number of recurring reservation occurrences if recurring reservations are available for the reservable module.Data type: Number\n\n</td></tr><tr id=\"name-reserv_mod-row\"><td>\n\nresult.name\n\n</td><td id=\"name-reserv_mod-entry\">\n\nName of the reservable module.Data type: String\n\n</td></tr><tr><td>\n\nresult.nbhBuildingIds\n\n</td><td>\n\nOnly returned if the Space Management plugin is installed, the **browse\\_by\\_neighborhood\\_enabled** parameter is set to `true`, and the **neighborhood** parameter is passed in the query parameters.List of sys\\_ids of the buildings associated with the reservable module and configured for the neighborhood.\n\nData type: Array of Strings\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsData\n\n</td><td>\n\nOnly returned if the Space Management plugin is installed, the **browse\\_by\\_neighborhood\\_enabled** parameter is set to `true`, and the **neighborhood** parameter is passed in the query parameters.List of sys\\_ids of the buildings associated with the reservable module and configured for the neighborhood. Each building element also contains a list of sys\\_ids of the corresponding floors available for the building.\n\nFor example:\n\n```\n\"nbhBuildingsData\": {\n  \"4703a4cedb3650106c731dcd13961945\": [\n    \"0f9e304edb7650106c731dcd13961911\"\n  ],\n  \"6c0364cedb3650106c731dcd13961927\": [\n    \"b23328cedb3650106c731dcd139619f9\"\n  ]\n}\n```\n\nData type: Array of Objects\n\nTable: Records associated with the building sys\\_ids are located in the Building \\[sn\\_wsd\\_core\\_building\\] table. Records associated with the floor sys\\_ids are located in the Floor \\[sn\\_wsd\\_core\\_floor\\] table.\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsTreeData\n\n</td><td>\n\nOnly returned if the Space Management plugin is installed, the **browse\\_by\\_neighborhood\\_enabled** parameter is set to `true`, and the **neighborhood** parameter is passed in the query parameters.Hierarchy of the buildings associate with the reservable module and neighborhood.\n\nData type: Array of Objects\n\n```\n\"buildingsTreeData\": [\n  {\n    \"children\": [Array],\n    \"data\": {Object},\n    \"isSelectable\": Boolean,\n    \"isValid\": Boolean,\n    \"label\": \"String\",\n    \"uId\": \"String\"\n  }\n]\n```\n\nHierarchy order:\n\n-   Region: Located in the Region \\[sn\\_wsd\\_core\\_region\\] table.\n-   Site: Located in the Site \\[sn\\_wsd\\_core\\_site\\] table.\n-   Campus: Located in the Campus \\[sn\\_wsd\\_core\\_campus\\] table.\n-   Building: Located in the Building \\[sn\\_wsd\\_core\\_building\\] table.\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsTreeData.children\n\n</td><td>\n\nDescribes the hierarchy of the children associated with the building.Each `children[]` node reflects a different building level/hierarchy:\n\n-   buildingsTreeData: Region\n-   buildingsTreeData.children: Site\n-   buildingsTreeData.children.children: Campus\n-   buildingsTreeData.children.children.children: Building\n\nData type: Array of Objects\n\n```\n\"children\": [\n  {\n    \"children\": [Array],\n    \"data\": {Object},\n    \"isSelectable\": Boolean,\n    \"isValid\": Boolean,\n    \"label\": \"String\",\n    \"uId\": \"String\"\n  }\n]\n```\n\nThe parameters in the `children[]` array are the same as those in the **nbhBuildingsTreeData** object, just for the associated location type; region, site, campus, or building.\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsTreeData.data\n\n</td><td>\n\nDetails about the associated entity; region, site, campus, or building.Data type: Object\n\n```\n\"data\": {\n  \"sys_id\": \"String\",\n  \"table\": \"String\",\n  \"timezone\": {Object}\n}\n```\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsTreeData.data.sysId\n\n</td><td>\n\nSys\\_id of the associated entity record.Data type: String\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsTreeData.data.table\n\n</td><td>\n\nTable in which the associated record is located.Data type: String\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsTreeData.data.timezone\n\n</td><td>\n\nInformation about the time zone in which the associated entity resides.Data type: Object\n\n```\n\"timezone\": {\n  \"displayValue\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsTreeData.data.timezone.displayValue\n\n</td><td>\n\nTime zone value to use in a user interface.Data type: String\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsTreeData.data.timezone.value\n\n</td><td>\n\nInternal time zone value.Data type: String\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsTreeData.isSelectable\n\n</td><td>\n\nFlag that indicates whether the associated entity is available \\(selectable\\) for the reservable model.Valid values:\n\n-   true: Entity is available for the reservable module.\n-   false: Entity isn't available for the reservable module.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsTreeData.isValid\n\n</td><td>\n\nFlag that indicates whether the associated entity is valid for the reservable model.Valid values:\n\n-   true: Entity is valid for the reservable module.\n-   false: Entity isn't valid for the reservable module.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsTreeData.label\n\n</td><td>\n\nName of the reservable view.Data type: String\n\n</td></tr><tr><td>\n\nresult.nbhBuildingsTreeData.uId\n\n</td><td>\n\nSys\\_id of the associated entity.Data type: String\n\n</td></tr><tr id=\"override_approval_policy-reserv_mod-row\"><td>\n\nresult.override\\_approval\\_policy\n\n</td><td id=\"override_approval_policy-reserv_mod-entry\">\n\nOption to specify how to implement the approval policy. Choices:\n\n-   No override: The approval policy is implemented as set in the **Requires approval** field of a workplace space or room.\n-   Always require approval: The approval policy is required regardless of what is set in the **Requires approval** field of a workplace space or room.\n-   Never require approval: The approval policy is removed regardless of what is set in the **Requires approval**l field of a workplace space or room.\n\nData type: String\n\n</td></tr><tr id=\"require_cancel_notes-reserv_mod-row\"><td>\n\nresult.require\\_cancel\\_notes\n\n</td><td id=\"require_cancel_notes-reserv_mod-entry\">\n\nFlag that indicates whether users must enter a cancellation note before cancelling a reservable module.Valid values:\n\n-   true: Cancellation note required.\n-   false: Cancellation note not required.\n\nData type: Boolean\n\n</td></tr><tr id=\"require_cc_dept_check-reserv_mod-row\"><td>\n\nresult.require\\_cc\\_dept\\_check\n\n</td><td id=\"require_cc_dept_check-reserv_mod-entry\">\n\nFlag that indicates whether to check if there's a cost center or department mismatch between the workspace item and the logged in user. Valid values:\n\n-   true: Check for a mismatch.\n-   false: Don't check for a mismatch.\n\nData type: Boolean\n\n</td></tr><tr id=\"require_subject-reserv_mod-row\"><td>\n\nresult.require\\_subject\n\n</td><td id=\"require_subject-reserv_mod-entry\">\n\nFlag that indicates whether the user must enter a subject when making the reservation.Valid values:\n\n-   true: Subject required.\n-   false: Subject isn't required.\n\nData type: Boolean\n\n</td></tr><tr id=\"reservable_columns-reserv_mod-row\"><td>\n\nresult.reservable\\_columns\n\n</td><td id=\"reservable_columns-reserv_mod-entry\">\n\nList of the columns of a reservable.Data type: Array\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr id=\"reservable_container_field-reserv_mod-row\"><td>\n\nresult.reservable\\_container\\_field\n\n</td><td id=\"reservable_container_field-reserv_mod-entry\">\n\nLevel of the container, such as a group of desks in a specific area.Data type: String\n\n</td></tr><tr id=\"reservable_filter-reserv_mod-row\"><td>\n\nresult.reservable\\_filter\n\n</td><td id=\"reservable_filter-reserv_mod-entry\">\n\nFilter conditions used to filter out reservable items in the associated Reservable table. Reservable table is a field in the Reservable Module \\[sn\\_wsd\\_rsv\\_reservable\\_module\\] table. These filter conditions were applied to the table contained in the field Reservable table.Data type: String\n\n</td></tr><tr id=\"reservable_quantity_field-reserv_mod-row\"><td>\n\nresult.reservable\\_quantity\\_field\n\n</td><td id=\"reservable_quantity_field-reserv_mod-entry\">\n\nReservable quantity of all the spaces. The quantity is used when assigning neighbourhood spaces to an area. For additional information, see [Assign neighborhood spaces to an area](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/add-neighbourhood-spaces-to-an-area.md).Data type: String\n\n</td></tr><tr id=\"reservable_table-reserv_mod-row\"><td>\n\nresult.reservable\\_table\n\n</td><td id=\"reservable_table-reserv_mod-entry\">\n\nTable that contains the reservable workplace items.Data type: String\n\n</td></tr><tr id=\"reservable_type-reserv_mod-row\"><td>\n\nresult.reservable\\_type\n\n</td><td id=\"reservable_type-reserv_mod-entry\">\n\nType of the reservable item, such as location.Data type: String\n\n</td></tr><tr id=\"reservable_views-reserv_mod-row\"><td>\n\nresult.reservable\\_views\n\n</td><td id=\"reservable_views-reserv_mod-entry\">\n\nDetails about the different views associated with the reservable module, such as card view or schedule view.Data type: Object\n\n```\n\"reservable_views\": {\n  \"iconClass\": \"String\",\n  \"isDefault\": Boolean,\n  \"label\": \"String\",\n  \"order\": Number,\n  \"type\": \"String\"\n}\n```\n\nTable: Reservable View \\[sn\\_wsd\\_rsv\\_reservable\\_view\\]\n\n</td></tr><tr id=\"reservable_views_iconClass-reserv_mod-row\"><td>\n\nresult.reservable\\_views.iconClass\n\n</td><td id=\"reservable_views_iconClass-reserv_mod-entry\">\n\nIcon class of the reservable view.Data type: String\n\n</td></tr><tr id=\"reservable_views_isDefault-reserv_mod-row\"><td>\n\nresult.reservable\\_views.isDefault\n\n</td><td id=\"reservable_views_isDefault-reserv_mod-entry\">\n\nFlag that indicates whether to make this reservable view the default for reservable modules. Valid values:\n\n-   true: Make default.\n-   false: Don't make default.\n\nData type: Boolean\n\n</td></tr><tr id=\"reservable_views_label-reserv_mod-row\"><td>\n\nresult.reservable\\_views.label\n\n</td><td id=\"reservable_views_label-reserv_mod-entry\">\n\nName of the reservable view.Data type: String\n\n</td></tr><tr id=\"reservable_views_order-reserv_mod-row\"><td>\n\nresult.reservable\\_views.order\n\n</td><td id=\"reservable_views_order-reserv_mod-entry\">\n\nOrder in which the views are displayed for the reservable module in the UI. The lower order number come first in the UI. In case of the same order number, it is assigned random ordering.Data type: Number\n\n</td></tr><tr id=\"reservable_views_type-reserv_mod-row\"><td>\n\nresult.reservable\\_views.type\n\n</td><td id=\"reservable_views_type-reserv_mod-entry\">\n\nBackend name of the reservable view. Used for internal processing.Data type: String\n\n</td></tr><tr id=\"reservation_paths-reserv_mod-row\"><td>\n\nresult.reservation\\_paths\n\n</td><td id=\"reservation_paths-reserv_mod-entry\">\n\nReservation paths associated with the reservable modules such as Browse all, Browse near a person.Data type: Array of Objects\n\n```\n\"reservation_paths\": [\n  {\n    \"displayValue\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"reservation_paths_displayValue-reserv_mod-row\"><td>\n\nresult.reservation\\_paths.displayValue\n\n</td><td id=\"reservation_paths_displayValue-reserv_mod-entry\">\n\nDisplay value for the reservation path, such as \"Browse near a person\".Data type: String\n\n</td></tr><tr id=\"reservation_paths_value-reserv_mod-row\"><td>\n\nresult.reservation\\_paths.value\n\n</td><td id=\"reservation_paths_value-reserv_mod-entry\">\n\nInternal value for the reservation path, such as \"browse\\_near\\_a\\_person\".Data type: String\n\n</td></tr><tr id=\"search_limit-reserv_mod-row\"><td>\n\nresult.search\\_limit\n\n</td><td id=\"search_limit-reserv_mod-entry\">\n\nMaximum number of search results to return when a user searches for a workplace location.Data type: Number\n\n</td></tr><tr id=\"selection_type-reserv_mod-row\"><td>\n\nresult.selection\\_type\n\n</td><td id=\"selection_type-reserv_mod-entry\">\n\nType of selection to display in the search results.\n\n Can be one of the following options:\n\n-   Specific unit: The search result displays every workplace item.\n-   Container: The search result displays the parent or container of the workplace items.\n\n Data type: String\n\n</td></tr><tr id=\"short_description-reserv_mod-row\"><td>\n\nresult.short\\_description\n\n</td><td id=\"short_description-reserv_mod-entry\">\n\nBrief description of the reservable module.Data type: String\n\n</td></tr><tr id=\"show_map_view-reserv_mod-row\"><td>\n\nresult.show\\_map\\_view\n\n</td><td id=\"show_map_view-reserv_mod-entry\">\n\nFlag that indicates whether to enable the map view for reservable modules. Valid values:\n\n-   true: Enable map view.\n-   false: Don't enable map view.\n\nData type: Boolean\n\n</td></tr><tr id=\"sys_id-reserv_mod-row\"><td>\n\nresult.sys\\_id\n\n</td><td id=\"sys_id-reserv_mod-entry\">\n\nSys\\_id of the reservable module.Data type: String\n\n</td></tr><tr id=\"timeSlots-reserv_mod-row\"><td>\n\nresult.timeSlots\n\n</td><td id=\"timeSlots-reserv_mod-entry\">\n\nDetails about the time slots associated for a reservable module.Data type: Array of Objects\n\n```\n[\n  {\n    \"name\": \"String\",\n    \"short_description\": \"String\",\n    \"slot_end\": \"String\",\n    \"slot_start\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"timeSlots_name-reserv_mod-row\"><td>\n\nresult.timeSlots.name\n\n</td><td id=\"timeSlots_name-reserv_mod-entry\">\n\nName of the time slot.Data type: String\n\n</td></tr><tr id=\"timeSlots_short_description-reserv_mod-row\"><td>\n\nresult.timeSlots.short\\_description\n\n</td><td id=\"timeSlots_short_description-reserv_mod-entry\">\n\nBrief description of the time slot.Data type: String\n\n</td></tr><tr id=\"timeSlots_slot_end-reserv_mod-row\"><td>\n\nresult.timeSlots.slot\\_end\n\n</td><td id=\"timeSlots_slot_end-reserv_mod-entry\">\n\nEnd time of the time slot.Data type: String\n\n</td></tr><tr id=\"timeSlots_slot_start-reserv_mod-row\"><td>\n\nresult.timeSlots.slot\\_start\n\n</td><td id=\"timeSlots_slot_start-reserv_mod-entry\">\n\nStart time of the slot.Data type: String\n\n</td></tr><tr id=\"timeSlots_slot_sys_id-reserv_mod-row\"><td>\n\nresult.timeSlots.sys\\_id\n\n</td><td id=\"timeSlots_slot_sys_id-reserv_mod-entry\">\n\nSys\\_id of the time slot record.Data type: String\n\nTable: Time Slot \\[sn\\_wsd\\_rsv\\_time\\_slot\\]\n\n</td></tr><tr id=\"title-reserv_mod-row\"><td>\n\nresult.title\n\n</td><td id=\"title-reserv_mod-entry\">\n\nTitle of the reservable module.Data type: String\n\n</td></tr><tr id=\"virtual_meeting_provider-reserv_mod-row\"><td>\n\nresult.virtual\\_meeting\\_provider\n\n</td><td id=\"virtual_meeting_provider-reserv_mod-entry\">\n\nDetails about the virtual provider associated with the reservable module.Data type: Object\n\n```\n\"virtual_meeting_provider\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"virtual_meeting_provider_display_value-reserv_mod-row\"><td>\n\nresult.virtual\\_meeting\\_provider.display\\_value\n\n</td><td id=\"virtual_meeting_provider_display_value-reserv_mod-entry\">\n\nDisplay value of the virtual meeting provider.Data type: String\n\n</td></tr><tr id=\"virtual_meeting_provider_sys_id-reserv_mod-row\"><td>\n\nresult.virtual\\_meeting\\_provider.sys\\_id\n\n</td><td id=\"virtual_meeting_provider_sys_id-reserv_mod-entry\">\n\nSys\\_id of the virtual meeting provider.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis code example shows how to request a reservable module with the buildings tree data.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_wsd_rsv/reservable_module/5db44502dbb650106c731dcd13961937&is_buildings_tree_data_required=true\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\nResponse body:\n\n```\n{\n  \"result\": {\n    \"sys_id\": \"5db44502dbb650106c731dcd13961937\", \"name\": \"Desks\",\n    \"title\": \"Desks\",\n    \"inline_title\": \"desk\",\n    \"font_awesome_icon\": \"fa-desktop\",\n    \"reservable_table\": \"sn_wsd_core_space\",\n    \"reservable_filter\": \"active=true^is_reservable=true^location_type=5f017383eb512010b89bfdfc9c5228c8^building.is_reservable=true^floor.is_reservable=true^EQ\",\n    \"short_description\": \"Reserve a single desks\",\n    \"reservable_type\": \"location\",\n    \"require_subject\": null,\n    \"require_cancel_notes\": false,\n    \"virtual_meeting_provider\": {\n      \"sys_id\": \"e33d9e6853c201103cf7ddeeff7b1205\",\n      \"display_value\": \"Template\"\n    },\n    \"allow_invitees\": null,\n    \"display_number_of_attendees\": null,\n    \"display_on_behalf_of\": null,\n    \"display_sensitivity\": null,\n    \"max_days_in_future\": \"90\",\n    \"allow_whole_day\": \"1\",\n    \"selection_type\": \"unit\",\n    \"reservable_container_field\": null,\n    \"reservable_quantity_field\": null,\n    \"apply_to_shift\": null,\n    \"max_occurrences\": \"90\",\n    \"enable_facet_filter\": false,\n    \"search_limit\": 10000,\n    \"enable_ical_generation\": null,\n    \"enable_group_reservations\": null,\n    \"enable_browse_near_a_person\": \"1\",\n    \"enable_browse_by_area\": \"1\",\n    \"enable_browse_by_neighborhood\": \"1\",\n    \"show_map_view\": false,\n    \"require_cc_dept_check\": false,\n    \"display_value\": \"Desks\",\n    \"browse_near_a_person_enabled\": true,\n    \"browse_by_area_enabled\": true,\n    \"browse_by_neighborhood_enabled\": true,\n    \"reservable_columns\": [\n      \"sys_id\",\n      \"external_id\",\n      \"email\",\n      \"name\",\n      \"title\",\n      \"description\",\n      \"image\",\n      \"number\",\n      \"site\",\n      \"campus\",\n      \"building\",\n      \"floor\",\n      \"area\",\n      \"capacity\",\n      \"reservable_quantity\",\n      \"location_type\",\n      \"order\",\n      \"requires_check_in\",\n      \"is_reservable\"\n    ],\n    \"layout_mapping\": { \n      \"title\": [\n        \"name\"\n      ],\n      \"description\": [ \n        \"description\"\n      ],\n      \"subtitle\": [\n        \"campus\",\n        \"building\",\n        \"floor\",\n        \"area\"\n      ],\n      \"subtitle_asc\": [\n        \"area\",\n        \"floor\",\n        \"building\",\n        \"campus\"\n      ],\n      \"image\": \"image\",\n      \"body\": [\n        {\n          \"label\": \"Capacity\",\n          \"icon\": \"fa-users\",\n          \"field\": \"capacity\",\n          \"field_to_display\": \"\"\n        },\n        {\n          \"label\": \"Standard services\",\n          \"icon\": \"fa-check\",\n          \"field\": \"standard_services\",\n          \"field_to_display\": \"name\"\n        },\n        {\n          \"label\": \"Reservable purposes\",\n          \"icon\": \"fa-tags\",\n          \"field\": \"reservable_purposes\",\n          \"field_to_display\": \"name\"\n        }\n      ]\n    },\n    \"timeSlots\": [\n      {\n        \"sys_id\": \"d5331cf2dbb5f01038e42b24ca961906\",\n        \"name\": \"All day\",\n        \"short_description\": \"8am - 6pm\",\n        \"slot_start\": \"08:00\",\n        \"slot_end\": \"18:00\"\n      },\n      {\n        \"sys_id\": \"de131cf2dbb5f01038e42b24ca961931\",\n        \"name\": \"Before noon\",\n        \"short_description\": \"8am - 12pm\",\n        \"slot_start\": \"08:00\",\n        \"slot_end\": \"12:00\"\n      },\n      {\n        \"sys_id\": \"6e99ab5ddbb930102e8e853e68961929\",\n        \"name\": \"After noon\",\n        \"short_description\": \"1pm - 6pm\",\n        \"slot_start\": \"13:00\",\n        \"slot_end\": \"18:00\"\n      }\n    ],\n    \"buildingSysIds\": [\n      \"9e0364cedb3650106c731dcd1396192b\"\n    ],\n    \"buildingsTreeData\": [\n      {\n        \"isValid\": true,\n        \"label\": \"Europe\",\n        \"uId\": \"2d626c4edb3650106c731dcd1396194b\",\n        \"isSelectable\": false,\n        \"children\": [\n          {\n            \"isValid\": true,\n            \"label\": \"Western Europe\",\n            \"uId\": \"b17220cedb3650106c731dcd1396197a\",\n            \"isSelectable\": false,\n            \"children\": [\n              {\n                \"isValid\": true,\n                \"label\": \"Amsterdam Campus\",\n                \"uId\": \"44d2e0cedb3650106c731dcd13961988\",\n                \"isSelectable\": false,\n                \"children\": [\n                  {\n                    \"isValid\": true,\n                    \"label\": \"AMS-B1\",\n                    \"uId\": \"9e0364cedb3650106c731dcd1396192b\",\n                    \"isSelectable\": true,\n                    \"children\": [],\n                    \"data\": {\n                      \"sysId\": \"9e0364cedb3650106c731dcd1396192b\",\n                      \"table\": \"sn_wsd_core_building\",\n                      \"timezone\": {\n                        \"value\": \"Europe/Amsterdam\",\n                        \"displayValue\": \"Europe/Amsterdam\"\n                      }\n                    }\n                  }\n                ],\n                \"data\": {\n                  \"sysId\": \"44d2e0cedb3650106c731dcd13961988\",\n                  \"table\": \"sn_wsd_core_campus\",\n                  \"timezone\": null\n                }\n              }\n            ],\n            \"data\": {\n              \"sysId\": \"b17220cedb3650106c731dcd1396197a\",\n              \"table\": \"sn_wsd_core_site\",\n              \"timezone\": null\n            }\n          }\n        ],\n        \"data\": {\n          \"sysId\": \"2d626c4edb3650106c731dcd1396194b\",\n          \"table\": \"sn_wsd_core_region\",\n          \"timezone\": null\n        }\n      }\n    ],\n    \"reservable_views\": [\n      {\n        \"type\": \"card\",\n        \"label\": \"Card view\",\n        \"iconClass\": \"fa-th-large\",\n        \"isDefault\": true,\n        \"order\": \"1\"\n      },\n      {\n        \"type\": \"schedule\",\n        \"label\": \"Schedule view\",\n        \"iconClass\": \"fa-calendar-o\",\n        \"isDefault\": false,\n        \"order\": \"2\"\n      }\n    ],\n    \"checkin_before_minutes\": 30,\n    \"reservation_paths\": [\n      {\n        \"value\": \"browse_all\",\n        \"displayValue\": \"Browse all\"\n      },\n      {\n        \"value\": \"browse_near_a_person\",\n        \"displayValue\": \"Browse near a person\"\n      },\n      {\n        \"value\": \"browse_by_area\",\n        \"displayValue\": \"Browse by area\"\n      }\n    ],\n    \"override_approval_policy\": \"never_required\"\n  }\n}\n```\n\n"}}